Redmine - Defect #8854

Filter on category across subprojects does not work
2011-07-19 19:52 - Joshua Stein

Status: New Start date: 2011-07-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description
filtering an issue list based on a category that is also in a subproject does not work.

| was not sure if this is fixable as the category list is defined separately for subprojects.
Steps to Reproduce:
1. Go to the Issues list for a project that has sub-projects
2. Add a filter for "Category"
3. set "Category" to a value that is defined in the parent and sub projects both.
Notice that results do not include subproject issues.
This bug was found on our own Redmine server running 1.0.1. It was upgraded to 1.2.1 but the bug still exists.

| then tried on the Redmine Demo site. It is still an issue there.

| saved a query for sample.
http://demo.redmine.org/projects/11111project/issues?query_id=135

Related issues:

Is duplicate of Redmine - Defect #26023: Category filter only shows categorie... New

History

#1 - 2016-07-04 06:59 - Toshi MARUYAMA

- Category set to Issues filter

#2 - 2017-07-09 05:03 - Go MAEDA

- Is duplicate of Defect #26023: Category filter only shows categories of current project added

2025-05-01

1/1



http://demo.redmine.org/projects/11111project/issues?query_id=135
http://www.tcpdf.org

